# Security Policy

## Reporting a Security Vulnerability

We take the security of this project seriously and appreciate the efforts of security researchers and users to responsibly disclose any potential vulnerabilities. We are committed to ensuring the security and privacy of our users and our systems. If you have discovered a security vulnerability, we encourage you to report it to us promptly and in a responsible manner.

To report a security vulnerability, please follow these steps:

1. **Do not disclose the vulnerability publicly** until we have addressed the issue. This helps us protect our users and systems from potential exploitation while we work on resolving the vulnerability.

2. **Submit your report** by sending an email to [gustavoschip@proton.me](mailto:gustavoschip@proton.me) with the following details:

    - A clear and concise description of the vulnerability, including any necessary steps to reproduce it.
    - The potential impact or risks associated with the vulnerability.
    - Any related supporting documentation or proof of concept (e.g., screenshots, code snippets).

3. **Allow us reasonable time** to investigate and address the reported vulnerability. We strive to respond to vulnerability reports promptly and resolve any issues in a timely manner. We will keep you informed of the progress and expected timeline for the resolution.

## Responsible Disclosure

We believe in responsible disclosure and we are committed to working with security researchers to address any vulnerabilities in a timely manner. We ask that you adhere to the following guidelines when reporting security vulnerabilities:

- **Do not attempt to access, modify, or delete data that does not belong to you.**
- **Do not exploit the vulnerability beyond the minimal steps required to demonstrate the issue.**
- **Do not share or disclose the vulnerability to others before it has been resolved.**

We appreciate your cooperation in responsibly disclosing any security vulnerabilities and helping us provide a secure environment for our users.

## Legal Safe Harbor

We consider the security of our systems a top priority. If you make a good-faith effort to comply with this policy during your security research, we will consider your activities to be authorized, and we will not pursue any legal action against you.

Thank you for your contributions to the security of this project. We appreciate your time and effort in helping us maintain a secure and trustworthy software.
